summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD24
2 files changed, 20 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 129b3ceac6a..fe92b2a8399 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,18 @@
pkgbase = python-viztracer
pkgdesc = VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.
- pkgver = 0.14.3
+ pkgver = 0.15.2
pkgrel = 1
url = https://github.com/gaogaotiantian/viztracer
arch = x86_64
license = Apache
- makedepends = python-setuptools
+ makedepends = python-wheel
+ makedepends = python-build
+ makedepends = python-installer
depends = python
optdepends = python-rich: Full function support
optdepends = python-orjson: Full function support
optdepends = chromium: browser to open html results
- source = https://files.pythonhosted.org/packages/source/v/viztracer/viztracer-0.14.3.tar.gz
- b2sums = a875213f0bd4a9150414a449be3b4a9aa6edf900c55b891444190f8cfe5de3c871bdc8960832ecaa05266cb166197e4b7e42e46f21b3e7bbd52fd27e512eca81
+ source = https://files.pythonhosted.org/packages/source/v/viztracer/viztracer-0.15.2.tar.gz
+ b2sums = de6bd3c4d03d263c3f4fa67207674471b076e1ce94a96733215d3b94d8a5f5a4cbdd670aaaf041750d7928bfbe5eef238e8e05e7c9a27342f3fa7b48e7e387d4
pkgname = python-viztracer
diff --git a/PKGBUILD b/PKGBUILD
index ee5116f52b6..883bf523db3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,31 +4,35 @@
pkgname=python-viztracer
_name=viztracer
-pkgver=0.14.3
+pkgver=0.15.2
pkgrel=1
pkgdesc='VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.'
arch=('x86_64')
url="https://github.com/gaogaotiantian/$_name"
license=('Apache')
depends=('python')
-makedepends=('python-setuptools')
+makedepends=(
+ 'python-wheel'
+ 'python-build'
+ 'python-installer'
+)
optdepends=(
'python-rich: Full function support'
'python-orjson: Full function support'
'chromium: browser to open html results'
)
source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-b2sums=('a875213f0bd4a9150414a449be3b4a9aa6edf900c55b891444190f8cfe5de3c871bdc8960832ecaa05266cb166197e4b7e42e46f21b3e7bbd52fd27e512eca81')
+b2sums=('de6bd3c4d03d263c3f4fa67207674471b076e1ce94a96733215d3b94d8a5f5a4cbdd670aaaf041750d7928bfbe5eef238e8e05e7c9a27342f3fa7b48e7e387d4')
build() {
- cd "$_name-$pkgver"
- export PYTHONHASHSEED=0
- python setup.py build
+ cd "$srcdir/$_name-$pkgver" || exit
+
+ python -m build --wheel --no-isolation
}
package() {
- cd "$_name-$pkgver"
- python setup.py install --root="$pkgdir" --optimize=1 --skip-build
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
- # install -Dm644 $scrdir/README* "${pkgdir}/usr/share/doc/${pkgname}/README"
+ cd "$srcdir/$_name-$pkgver" || exit
+ python -m installer --destdir="$pkgdir" dist/*.whl
+
+ # install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/python-$_name/LICENSE"
}